namespace Server.Config
{
    public partial class RabbitConfigCategory
    {
        public MrWu.RabbitMQ.RabbitConfig GetRabbitMQConfig()
        {
            RabbitConfig config = GetOrDefault(0);
            return new MrWu.RabbitMQ.RabbitConfig()
            {
                host = config.Host,
                port = config.Port,
                username = config.UserName,
                password = config.Pwd,
                vhost = config.Vhost,
            };
        }
    }
}